summaryrefslogtreecommitdiffstats
path: root/ci/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install.sh')
-rw-r--r--ci/install.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/ci/install.sh b/ci/install.sh
index 42c96b4..dc065f0 100644
--- a/ci/install.sh
+++ b/ci/install.sh
@@ -1,4 +1,4 @@
-set -euxo pipefail
+set -exo pipefail
main() {
rustup component add rust-src
@@ -8,6 +8,13 @@ main() {
else
echo "Target $TARGET is already installed"
fi
+ if [ ! -z $COVERAGE ]; then
+ if ! [ -x "$(command -v grcov)" ]; then
+ cargo install grcov
+ else
+ echo "grcov is already installed"
+ fi
+ fi
}
main